Branding
GET /v1/branding
Section titled “GET /v1/branding”Logo status
Scope: settings:read
curl https://app.rieck.nu/api/v1/branding \ -H "Authorization: Bearer $RIECK_API_KEY"const svar = await rieck.request("GET", "/v1/branding");PUT /v1/branding/logo
Section titled “PUT /v1/branding/logo”Upload logo
Scope: settings:write
curl -X PUT https://app.rieck.nu/api/v1/branding/logo \ -H "Authorization: Bearer $RIECK_API_KEY" \ -H "Idempotency-Key: order-2041" \ -d '{ "data": "…", "mime": "image/png", "variant": "light" }'const svar = await rieck.request("PUT", "/v1/branding/logo", { body: { "data": "…", "mime": "image/png", "variant": "light" },});Request body — fuldt JSON Schema
{ "type": "object", "properties": { "data": { "type": "string", "minLength": 1 }, "mime": { "type": "string", "enum": [ "image/png", "image/jpeg", "image/svg+xml", "image/webp" ] }, "variant": { "default": "light", "type": "string", "enum": [ "light", "dark" ] } }, "required": [ "data", "mime" ], "additionalProperties": false}DELETE /v1/branding/logo
Section titled “DELETE /v1/branding/logo”Delete logo variant
Scope: settings:write
| Query | |
|---|---|
variant | light (default) or dark |
curl -X DELETE https://app.rieck.nu/api/v1/branding/logo \ -H "Authorization: Bearer $RIECK_API_KEY" \ -H "Idempotency-Key: order-2041"const svar = await rieck.request("DELETE", "/v1/branding/logo");GET /v1/payment-domain
Section titled “GET /v1/payment-domain”Get payment domain
Scope: settings:read
curl https://app.rieck.nu/api/v1/payment-domain \ -H "Authorization: Bearer $RIECK_API_KEY"const svar = await rieck.request("GET", "/v1/payment-domain");PUT /v1/payment-domain
Section titled “PUT /v1/payment-domain”Set payment domain
Changing the domain resets verification.
Scope: settings:write
curl -X PUT https://app.rieck.nu/api/v1/payment-domain \ -H "Authorization: Bearer $RIECK_API_KEY" \ -H "Idempotency-Key: order-2041" \ -d '{ "domain": "…" }'const svar = await rieck.request("PUT", "/v1/payment-domain", { body: { "domain": "…" },});Request body — fuldt JSON Schema
{ "type": "object", "properties": { "domain": { "anyOf": [ { "type": "string", "minLength": 1, "maxLength": 255 }, { "type": "null" } ] } }, "required": [ "domain" ], "additionalProperties": false}POST /v1/payment-domain/verify
Section titled “POST /v1/payment-domain/verify”Run live domain check
Scope: settings:write
curl -X POST https://app.rieck.nu/api/v1/payment-domain/verify \ -H "Authorization: Bearer $RIECK_API_KEY" \ -H "Idempotency-Key: order-2041"const svar = await rieck.request("POST", "/v1/payment-domain/verify");GET /v1/customer-portal
Section titled “GET /v1/customer-portal”Get customer-portal settings
Scope: settings:read
curl https://app.rieck.nu/api/v1/customer-portal \ -H "Authorization: Bearer $RIECK_API_KEY"const svar = await rieck.request("GET", "/v1/customer-portal");PATCH /v1/customer-portal
Section titled “PATCH /v1/customer-portal”Update customer-portal settings
Scope: settings:write
curl -X PATCH https://app.rieck.nu/api/v1/customer-portal \ -H "Authorization: Bearer $RIECK_API_KEY" \ -H "Idempotency-Key: order-2041" \ -d '{ "active": true, "subscriptionSelfService": true }'const svar = await rieck.request("PATCH", "/v1/customer-portal", { body: { "active": true, "subscriptionSelfService": true },});Request body — fuldt JSON Schema
{ "type": "object", "properties": { "subdomain": { "type": "string", "pattern": "^[a-z0-9][a-z0-9-]{1,38}[a-z0-9]$" }, "active": { "type": "boolean" }, "subscriptionSelfService": { "type": "boolean" }, "primaryColor": { "anyOf": [ { "type": "string", "pattern": "^#[0-9a-fA-F]{6}$" }, { "type": "null" } ] }, "palette": { "type": "string", "enum": [ "smoer", "lys", "beton", "sand", "graa", "mint", "blaa", "is", "groen", "varm", "lavendel", "rosa", "moerk", "midnat", "grafit", "skov", "espresso", "vin" ] }, "customDomain": { "anyOf": [ { "type": "string", "minLength": 1, "maxLength": 255 }, { "type": "null" } ] } }, "additionalProperties": false}POST /v1/customer-portal/verify-domain
Section titled “POST /v1/customer-portal/verify-domain”Verify portal custom domain
Scope: settings:write
curl -X POST https://app.rieck.nu/api/v1/customer-portal/verify-domain \ -H "Authorization: Bearer $RIECK_API_KEY" \ -H "Idempotency-Key: order-2041"const svar = await rieck.request("POST", "/v1/customer-portal/verify-domain");